Skala
Stock transactions

List all stock transactions

Fetches a complete list of stock transaction records available in the system.

GET
/api/stock_transactions

Fetches a complete list of stock transaction records available in the system.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

variantId?integer
variantId[]?array<>
batch.id?integer
batch.id[]?array<>
status?string
status[]?array<>
isActive?boolean
isActive[]?array<>
location.id?integer
location.id[]?array<>
relatedById?integer
relatedById[]?array<>
order[id]?string
Default"desc"
Value in"asc" | "desc"

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_transactions"
[
  {
    "id": 0,
    "code": "string",
    "quantity": "string",
    "quantityAfter": "string",
    "unitPrice": "string",
    "valueInStock": "string",
    "averageCost": "string",
    "status": "string",
    "relatedType": "string",
    "relatedById": 0,
    "relatedItemById": 0,
    "variantId": 0,
    "date": "2019-08-24T14:15:22Z",
    "location": {
      "id": 0,
      "name": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "stock": {
      "id": 0,
      "unit": {
        "id": 0,
        "name": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "currency": {
        "id": 0,
        "code": "string"
      },
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "batch": {
      "id": 0,
      "barcode": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    },
    "createdAt": "2019-08-24T14:15:22Z"
  }
]